@version 2.7
@warnings
@script modeler
@name "MF UV 2 Morph"

main
{
	selmode(USER);
	selpolygon(CLEAR);
	unweld();
	size = boundingbox();
	scaleFactor = sqrt((size[2].x-size[1].x)*(size[2].x-size[1].x) + (size[2].y-size[1].y)*(size[2].y-size[1].y) + (size[2].z-size[1].z)*(size[2].z-size[1].z));
	
	editbegin();
	{
		uvMap = VMap(VMTEXTURE);
		morphTarget=VMap(VMMORPH,"MFTempTransform",3);
		if(!morphTarget)
			error("Could not create the VMap");

		foreach(p,points)
		{
			if(p!=nil)
			{
				values[1] = (uvMap.getValue(p, 1) * scaleFactor) - p.x;
				values[2] = (uvMap.getValue(p, 2) * scaleFactor) - p.y;
				values[3] = 0 - p.z;
				morphTarget.setValue(p,values);
			}
		}
	}
	editend();
	
}

pnts {
	editbegin();
	polys = polygons;
	pts = points;
	
	editend();
	return pts;
}
